package com.keyboard.bubble.skin.keyboard.bean;


import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;

@Entity(tableName = "ChildBean")
public class ChildBean implements Serializable {

    @PrimaryKey(autoGenerate = true)
    private long id;
    private String titleName;

    private String thumbUrl;

    private String thumbGif;

    private String zipPath;

    private String imgPath;
    private String imgGif;


    private boolean download;

    private boolean like;


    public boolean isDownload() {
        return download;
    }

    public void setDownload(boolean download) {
        this.download = download;
    }

    public boolean isLike() {
        return like;
    }

    public void setLike(boolean like) {
        this.like = like;
    }

    public void setImgGif(String imgGif) {
        this.imgGif = imgGif;
    }

    public String getTitleName() {

        return titleName;
    }

    public String getThumbUrl() {

        return thumbUrl;
    }

    public String getThumbGif() {

        return thumbGif;
    }

    public String getZipPath() {

        return zipPath;
    }

    public String getImgPath() {

        return imgPath;
    }

    public void setTitleName(String name) {
        this.titleName = name;
    }

    public void setThumbUrl(String thumbUrl) {
        this.thumbUrl = thumbUrl;
    }

    public void setThumbGif(String thumbGif) {
        this.thumbGif = thumbGif;
    }

    public void setZipPath(String path) {
        this.zipPath = path;
    }

    public void setImgPath(String imgPath) {
        this.imgPath = imgPath;
    }

    public String getImgGif() {
        return imgGif;
    }


    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }
}
